#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	pod2man --section=1 --release=$(DEB_VERSION_UPSTREAM) --center "" debian/jpylyzer.pod > jpylyzer.1
	dh_install

override_dh_clean:
	dh_clean Makefile
	dh_clean jpylyzer.1
	dh_clean doc/jpylyzerUserManual.pdf
	dh_clean doc/jpylyzerUserManual.txt
	dh_clean jpylyzer.egg-info/
	dh_clean

override_dh_auto_build:
	dh_auto_build
	(cd doc && pandoc -s --toc --toc-depth=2 -N --top-level-division=chapter --pdf-engine=xelatex -o jpylyzerUserManual.pdf jpylyzerUserManual.md)
	(cd doc && pandoc -o jpylyzerUserManual.txt jpylyzerUserManual.md)

override_dh_compress:
	dh_compress -X.pdf

debian/jpylyzer.pod:
	wget -O debian/jpylyzer.pod https://raw.githubusercontent.com/openpreserve/jpylyzer/master/debian/jpylyzer.pod
